Bug 430605 - yum traceback after update "out of range integer value"
yum traceback after update "out of range integer value"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
i386 Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-28 18:42 EST by Mike LaPlante
Modified: 2014-01-21 18:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-15 16:24:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pirut traceback (2.88 KB, text/plain)
2008-01-28 18:42 EST, Mike LaPlante
no flags Details
Fix yum installonly_limit to use strings and not int's (736 bytes, patch)
2008-01-28 19:08 EST, James Antill
no flags Details | Diff

  None (edit)
Description Mike LaPlante 2008-01-28 18:42:52 EST
Description of problem:
Yum crashes no matter how you run it. "yum clean all" "yum update" "yum -h"

[root@mike ~]# yum -h
Options Error: Error parsing '0': out of range integer value

Version-Release number of selected component (if applicable):yum-3.2.10-3.fc9


How reproducible:
 updated to 3.2.10-3, ran yum.

  
Actual results:
crash!

Expected results: 
update!


Additional info:
Attached traceback output from Pirut
Comment 1 Mike LaPlante 2008-01-28 18:42:52 EST
Created attachment 293222 [details]
pirut traceback
Comment 2 James Antill 2008-01-28 19:08:44 EST
Created attachment 293224 [details]
Fix yum installonly_limit to use strings and not int's

 You have installonly_limit manually set to 0?
 Can you try applying the following patch to
/usr/lib/python2.5/site-packages/yum

 ...or just change your config to:

installonly_limit=<off>
Comment 3 Mike LaPlante 2008-01-29 08:54:47 EST
Setting installonly_limit=<off> fixed it. Thanks!
Comment 4 Andrew Farris 2008-02-15 16:08:46 EST
This would be a good thing to have commented in the yum.conf if =0 cannot be used.
Comment 5 James Antill 2008-02-15 16:24:15 EST
 This is fixed in 3.2.11

Note You need to log in before you can comment on or make changes to this bug.